## kascade 1.0-beta10-1

=== Makefile ===
#############################################################################
# Makefile for building kascade
# Generated by tmake at 23:28, 2000/07/18
#     Project: kascade
#    Template: app
#############################################################################

####### Compiler, tools and options

# Edited for Debian GNU/Linux.
# QTDIR	=	/usr/lib/qt2

SHELL	=	/bin/sh

CC		=	gcc
CXX		=	g++
CFLAGS	=	-pipe -Wall -O0 -DNO_DEBUG
#CXXFLAGS=	-pipe -Wall -O0 -DNO_DEBUG -DGUI -DDEBUGOUTPUT
CXXFLAGS=	-pipe -Wall -O0 -DGUI
INCPATH	=	-I/usr/include/qt
LINK	=	g++
LFLAGS	=
LIBS	=	-L/usr/lib -L/tmp -lqt -L/usr/X11R6/lib -lXext -lX11 -lm
MOC		=	moc

BIN     =	$(DESTDIR)/usr/bin
SHARE   =	$(DESTDIR)/usr/share/kascade
DOC		=	$(DESTDIR)/usr/share/doc/kascade

TAR		=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	main.h \
		network.h \
		networkdata.h \
		appearance.h \
		appearancedata.h \
		advanced.h \
		advanceddata.h \
		browser.h \
		browserdata.h \
		aapjedialog.h \
		category.h \
		currents.h \
		errors.h \
		expression.h \
		categorylabel.h \
		fontscolors.h \
		fontscolorsdata.h \
		iconlabel.h \
		navigation.h \
		summation.h \
		parser.h \
		utility.h \
		chatbox.h \
		sourcebox.h \
		mailbox.h \
		preferences.h \
		globals.h \
		http.h \
		smtp.h \
		addressing.h \
		separator.h \
		keyboard.h \
		keybox.h \
		bookmarks.h \
		choicebox.h \
		mailinglists.h \
		infobox.h \
		ownerbutton.h \
		files.h \
		tracing.h
SOURCES =	main.cpp \
		network.cpp \
		networkdata.cpp \
		appearance.cpp \
		appearancedata.cpp \
		advanced.cpp \
		advanceddata.cpp \
		browser.cpp \
		browserdata.cpp \
		aapjedialog.cpp \
		category.cpp \
		currents.cpp \
		errors.cpp \
		expression.cpp \
		categorylabel.cpp \
		fontscolors.cpp \
		fontscolorsdata.cpp \
		iconlabel.cpp \
		navigation.cpp \
		summation.cpp \
		parser.cpp \
		utility.cpp \
		chatbox.cpp \
		sourcebox.cpp \
		mailbox.cpp \
		preferences.cpp \
		globals.cpp \
		http.cpp \
		smtp.cpp \
		addressing.cpp \
		separator.cpp \
		keyboard.cpp \
		keybox.cpp \
		bookmarks.cpp \
		choicebox.cpp \
		mailinglists.cpp \
		infobox.cpp \
		ownerbutton.cpp \
		files.cpp \
		tracing.cpp
OBJECTS =	main.o \
		network.o \
		networkdata.o \
		appearance.o \
		appearancedata.o \
		advanced.o \
		advanceddata.o \
		browser.o \
		browserdata.o \
		aapjedialog.o \
		category.o \
		currents.o \
		errors.o \
		expression.o \
		categorylabel.o \
		fontscolors.o \
		fontscolorsdata.o \
		iconlabel.o \
		navigation.o \
		summation.o \
		parser.o \
		utility.o \
		chatbox.o \
		sourcebox.o \
		mailbox.o \
		preferences.o \
		globals.o \
		http.o \
		smtp.o \
		addressing.o \
		separator.o \
		keyboard.o \
		keybox.o \
		bookmarks.o \
		choicebox.o \
		mailinglists.o \
		infobox.o \
		ownerbutton.o \
		files.o \
		tracing.o
SRCMOC	=	moc_network.cpp \
		moc_appearance.cpp \
		moc_advanced.cpp \
		moc_browser.cpp \
		moc_aapjedialog.cpp \
		moc_categorylabel.cpp \
		moc_fontscolors.cpp \
		moc_iconlabel.cpp \
		moc_chatbox.cpp \
		moc_sourcebox.cpp \
		moc_mailbox.cpp \
		moc_preferences.cpp \
		moc_http.cpp \
		moc_smtp.cpp \
		moc_separator.cpp \
		moc_keyboard.cpp \
		moc_keybox.cpp \
		moc_bookmarks.cpp \
		moc_choicebox.cpp \
		moc_mailinglists.cpp \
		moc_infobox.cpp \
		moc_ownerbutton.cpp
OBJMOC	=	moc_network.o \
		moc_appearance.o \
		moc_advanced.o \
		moc_browser.o \
		moc_aapjedialog.o \
		moc_categorylabel.o \
		moc_fontscolors.o \
		moc_iconlabel.o \
		moc_chatbox.o \
		moc_sourcebox.o \
		moc_mailbox.o \
		moc_preferences.o \
		moc_http.o \
		moc_smtp.o \
		moc_separator.o \
		moc_keyboard.o \
		moc_keybox.o \
		moc_bookmarks.o \
		moc_choicebox.o \
		moc_mailinglists.o \
		moc_infobox.o \
		moc_ownerbutton.o
DIST	=	
TARGET	=	kascade

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

install: kascade
	install -d $(BIN) $(SHARE) $(SHARE)/icons $(DOC)/doc-dii $(DESTDIR)/etc
	install ./kascade       $(BIN)
	install -m644 share/*   $(SHARE)
	install -m644 icons/*   $(SHARE)/icons
	install -m644 kascaderc $(DESTDIR)/etc/kascaderc
	install -m644 icons/*   $(SHARE)/icons
	install -m644 doc-dii/*	$(DOC)/doc-dii
		
$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake kascade.pro

dist:
	$(TAR) kascade.tar kascade.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) kascade.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

distclean:
	make clean

####### Compile

main.o: main.cpp \
		browser.h \
		preferences.h \
		navigation.h \
		category.h \
		globals.h \
		errors.h

network.o: network.cpp \
		network.h \
		globals.h \
		chatbox.h \
		browser.h \
		utility.h

networkdata.o: networkdata.cpp \
		network.h

appearance.o: appearance.cpp \
		appearance.h \
		globals.h \
		browser.h

appearancedata.o: appearancedata.cpp \
		appearance.h

advanced.o: advanced.cpp \
		advanced.h \
		keybox.h

advanceddata.o: advanceddata.cpp \
		advanced.h

browser.o: browser.cpp \
		category.h \
		currents.h \
		globals.h \
		browser.h \
		categorylabel.h \
		navigation.h \
		chatbox.h \
		sourcebox.h \
		mailbox.h \
		preferences.h \
		utility.h \
		errors.h \
		keyboard.h \
		parser.h \
		separator.h \
		bookmarks.h \
		mailinglists.h \
		choicebox.h \
		infobox.h \
		addressing.h \
		files.h \
		tracing.h

browserdata.o: browserdata.cpp \
		category.h \
		browser.h \
		aapjedialog.h \
		categorylabel.h \
		iconlabel.h \
		globals.h \
		separator.h \
		sourcebox.h \
		expression.h \
		utility.h \
		preferences.h \
		chatbox.h \
		keyboard.h \
		bookmarks.h \
		mailinglists.h \
		ownerbutton.h \
		mailicon.xpm \
		folder.xpm

aapjedialog.o: aapjedialog.cpp \
		aapjedialog.h \
		globals.h \
		preferences.h

category.o: category.cpp \
		category.h \
		utility.h \
		globals.h \
		currents.h \
		parser.h \
		navigation.h \
		expression.h

currents.o: currents.cpp \
		currents.h \
		globals.h \
		exprnode.h \
		utility.h

errors.o: errors.cpp \
		category.h \
		errors.h \
		globals.h \
		utility.h \
		browser.h

expression.o: expression.cpp \
		category.h \
		exprnode.h \
		expression.h \
		utility.h

categorylabel.o: categorylabel.cpp \
		category.h \
		categorylabel.h \
		globals.h \
		browser.h

fontscolors.o: fontscolors.cpp \
		fontscolors.h \
		globals.h \
		browser.h \
		sourcebox.h \
		chatbox.h \
		utility.h \
		separator.h

fontscolorsdata.o: fontscolorsdata.cpp \
		fontscolors.h

iconlabel.o: iconlabel.cpp \
		iconlabel.h

navigation.o: navigation.cpp \
		category.h \
		currents.h \
		globals.h \
		navigation.h \
		parser.h \
		addressing.h \
		utility.h \
		errors.h \
		summation.h \
		expression.h \
		exprnode.h \
		tracing.h \
		files.h \
		preferences.h \
		browser.h \
		infobox.h

summation.o: summation.cpp \
		category.h \
		currents.h \
		globals.h \
		summation.h \
		navigation.h \
		addressing.h \
		exprnode.h \
		expression.h

parser.o: parser.cpp \
		category.h \
		parser.h \
		addressing.h \
		globals.h \
		utility.h \
		errors.h \
		files.h

utility.o: utility.cpp \
		utility.h \
		category.h \
		globals.h \
		preferences.h \
		browser.h

chatbox.o: chatbox.cpp \
		chatbox.h \
		globals.h \
		preferences.h \
		utility.h

sourcebox.o: sourcebox.cpp \
		sourcebox.h \
		parser.h \
		globals.h \
		utility.h \
		preferences.h \
		navigation.h \
		files.h

mailbox.o: mailbox.cpp \
		category.h \
		mailbox.h \
		smtp.h \
		globals.h \
		preferences.h

preferences.o: preferences.cpp \
		preferences.h \
		network.h \
		appearance.h \
		fontscolors.h \
		advanced.h \
		utility.h \
		globals.h \
		browser.h

globals.o: globals.cpp \
		currents.h

http.o: http.cpp \
		http.h \
		globals.h \
		browser.h \
		errors.h \
		preferences.h

smtp.o: smtp.cpp \
		smtp.h \
		globals.h \
		preferences.h \
		browser.h

addressing.o: addressing.cpp \
		addressing.h \
		utility.h \
		globals.h \
		errors.h

separator.o: separator.cpp \
		separator.h \
		globals.h \
		browser.h

keyboard.o: keyboard.cpp \
		category.h \
		keyboard.h \
		globals.h \
		browser.h \
		preferences.h \
		categorylabel.h \
		navigation.h \
		errors.h

keybox.o: keybox.cpp \
		keybox.h

bookmarks.o: bookmarks.cpp \
		bookmarks.h \
		preferences.h \
		globals.h \
		browser.h \
		navigation.h

choicebox.o: choicebox.cpp \
		choicebox.h \
		globals.h \
		browser.h \
		chatbox.h \
		preferences.h \
		utility.h \
		categorylabel.h

mailinglists.o: mailinglists.cpp \
		mailinglists.h \
		preferences.h \
		globals.h \
		smtp.h

infobox.o: infobox.cpp \
		infobox.h \
		category.h

ownerbutton.o: ownerbutton.cpp \
		ownerbutton.h \
		navigation.h \
		categorylabel.h \
		category.h

files.o: files.cpp \
		category.h \
		currents.h \
		files.h \
		globals.h \
		utility.h \
		errors.h \
		navigation.h \
		parser.h \
		http.h \
		preferences.h \
		browser.h

tracing.o: tracing.cpp \
		category.h \
		currents.h \
		tracing.h \
		globals.h \
		navigation.h

moc_network.o: moc_network.cpp \
		network.h

moc_appearance.o: moc_appearance.cpp \
		appearance.h

moc_advanced.o: moc_advanced.cpp \
		advanced.h

moc_browser.o: moc_browser.cpp \
		browser.h

moc_aapjedialog.o: moc_aapjedialog.cpp \
		aapjedialog.h

moc_categorylabel.o: moc_categorylabel.cpp \
		categorylabel.h

moc_fontscolors.o: moc_fontscolors.cpp \
		fontscolors.h

moc_iconlabel.o: moc_iconlabel.cpp \
		iconlabel.h

moc_chatbox.o: moc_chatbox.cpp \
		chatbox.h

moc_sourcebox.o: moc_sourcebox.cpp \
		sourcebox.h

moc_mailbox.o: moc_mailbox.cpp \
		mailbox.h

moc_preferences.o: moc_preferences.cpp \
		preferences.h

moc_http.o: moc_http.cpp \
		http.h

moc_smtp.o: moc_smtp.cpp \
		smtp.h

moc_separator.o: moc_separator.cpp \
		separator.h

moc_keyboard.o: moc_keyboard.cpp \
		keyboard.h

moc_keybox.o: moc_keybox.cpp \
		keybox.h

moc_bookmarks.o: moc_bookmarks.cpp \
		bookmarks.h

moc_choicebox.o: moc_choicebox.cpp \
		choicebox.h

moc_mailinglists.o: moc_mailinglists.cpp \
		mailinglists.h

moc_infobox.o: moc_infobox.cpp \
		infobox.h \
		category.h

moc_ownerbutton.o: moc_ownerbutton.cpp \
		ownerbutton.h

moc_network.cpp: network.h
	$(MOC) network.h -o moc_network.cpp

moc_appearance.cpp: appearance.h
	$(MOC) appearance.h -o moc_appearance.cpp

moc_advanced.cpp: advanced.h
	$(MOC) advanced.h -o moc_advanced.cpp

moc_browser.cpp: browser.h
	$(MOC) browser.h -o moc_browser.cpp

moc_aapjedialog.cpp: aapjedialog.h
	$(MOC) aapjedialog.h -o moc_aapjedialog.cpp

moc_categorylabel.cpp: categorylabel.h
	$(MOC) categorylabel.h -o moc_categorylabel.cpp

moc_fontscolors.cpp: fontscolors.h
	$(MOC) fontscolors.h -o moc_fontscolors.cpp

moc_iconlabel.cpp: iconlabel.h
	$(MOC) iconlabel.h -o moc_iconlabel.cpp

moc_chatbox.cpp: chatbox.h
	$(MOC) chatbox.h -o moc_chatbox.cpp

moc_sourcebox.cpp: sourcebox.h
	$(MOC) sourcebox.h -o moc_sourcebox.cpp

moc_mailbox.cpp: mailbox.h
	$(MOC) mailbox.h -o moc_mailbox.cpp

moc_preferences.cpp: preferences.h
	$(MOC) preferences.h -o moc_preferences.cpp

moc_http.cpp: http.h
	$(MOC) http.h -o moc_http.cpp

moc_smtp.cpp: smtp.h
	$(MOC) smtp.h -o moc_smtp.cpp

moc_separator.cpp: separator.h
	$(MOC) separator.h -o moc_separator.cpp

moc_keyboard.cpp: keyboard.h
	$(MOC) keyboard.h -o moc_keyboard.cpp

moc_keybox.cpp: keybox.h
	$(MOC) keybox.h -o moc_keybox.cpp

moc_bookmarks.cpp: bookmarks.h
	$(MOC) bookmarks.h -o moc_bookmarks.cpp

moc_choicebox.cpp: choicebox.h
	$(MOC) choicebox.h -o moc_choicebox.cpp

moc_mailinglists.cpp: mailinglists.h
	$(MOC) mailinglists.h -o moc_mailinglists.cpp

moc_infobox.cpp: infobox.h
	$(MOC) infobox.h -o moc_infobox.cpp

moc_ownerbutton.cpp: ownerbutton.h
	$(MOC) ownerbutton.h -o moc_ownerbutton.cpp
