=== debian/changelog ===
kascade (1.0-beta10-1) unstable; urgency=low

  * QT 3.0 release.
  * Alpha patch. (Closes: #121384)

 -- Wouter de Vries <sax@debian.org>  Fri, 14 Dec 2001 15:32:32 +0100

kascade (1.0-beta9-2.1) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 errors.  Closes: #115015.

 -- LaMont Jones <lamont@debian.org>  Sat, 24 Nov 2001 20:22:13 -0700

kascade (1.0-beta9-2) unstable; urgency=low

  * Replaced build dependency libqt2.2-dev with libqt-dev (Closes: #11501a) 

 -- Wouter de Vries <sax@debian.org>  Mon, 29 Oct 2001 10:24:04 +0100

kascade (1.0-beta9-1) unstable; urgency=low

  * New Upstream version.
  * Package ready for inclusion into Debian.
  * Fixed typo in version number in program.
  * Fixed inclusion of source file.
  * Added manual.

 -- Wouter de Vries <sax@debian.org>  Fri, 16 Mar 2001 11:00:53 +0100

kascade (1.0-beta8-1) unstable; urgency=low

  * Initial Release.

 -- Wouter de Vries <w.l.devries@student.tudelft.nl>  Wed, 20 Dec 2000 16:38:01 +0100
