=== debian/control ===
Source: kascade
Section: net
Priority: optional
Maintainer: Wouter de Vries <sax@debian.org>
Build-Depends: debhelper, libqt3-dev
Standards-Version: 3.1.1

Package: kascade
Architecture: any
Depends: ${shlibs:Depends}
Description: Client for Kascade, a distributed Open directory search-engine
 Kascade is a novel type of search-engine, based on the Open directory
 principle. This means that anyone can structure a small part of the
 information on the internet, corresponding to their personal interests or
 expertise. The resulting parts are placed in a large categorical structure
 that others can browse to search for information. Examples of Open Directory
 initiatives are Dmoz and Infomarker.
 .
 In contrast with other Open Directory initiatives, though, the parts that
 people maintain now reside on their own server. What results is a distributed
 Open Directory! As with Gnutella, though, there are no fixed central servers.
 This implies that anyone can start a new structure. Actually any piece can
 be easily replaced, hopefully leading to competitive improvement. The
 distributed nature and lack of central control facilities make for a
 system immune to company or government control, much like Gnutella and the
 Internet itself.
